- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSrL2Gams Class Reference

Reads an optimization result and stores result and solution in a Gams Modeling Object. More...

`#include <OSosrl2gams.hpp>`

List of all members.

## Public Member Functions
| OSrL2Gams (struct gmoRec *gmo_)
| Constructor.
| ~OSrL2Gams ()
| Destructor.
void | writeSolution (OSResult &osresult)
| Writes a solution into a GMO with the result given as OSResult object.
void | writeSolution (std::string &osrl)
| Writes a solution into a GMO with the result given as osrl string.
## Private Attributes
gmoRec * | gmo
gevRec * | gev

## Detailed Description

Reads an optimization result and stores result and solution in a Gams Modeling Object.

Definition at line 20 of file OSosrl2gams.hpp.

## Constructor & Destructor Documentation

OSrL2Gams::OSrL2Gams | ( | struct gmoRec * | gmo_ | ) |

Constructor.

Parameters:

  | gmo_ | GMO handler.

OSrL2Gams::~OSrL2Gams | ( |  | ) | `[inline]`

Destructor.

Definition at line 33 of file OSosrl2gams.hpp.

## Member Function Documentation

void OSrL2Gams::writeSolution | ( | OSResult & | osresult | ) |

Writes a solution into a GMO with the result given as OSResult object.

Parameters:

  | osresult | Optimization result as object.

Definition at line 32 of file OSosrl2gams.cpp.

References DualVariableValues::con, OptimizationSolution::constraints, ConstraintSolution::dualValues, OSResult::general, OSResult::getConstraintNumber(), OSResult::getGeneralMessage(), OSResult::getGeneralStatusType(), OSResult::getSolutionNumber(), OSResult::getSolutionStatusType(), OSResult::getVariableNumber(), gev, gmo, OtherVarResult::idx, VarValue::idx, DualVarValue::idx, OtherVariableResult::name, DualVariableValues::numberOfCon, VariableSolution::numberOfOtherVariableResults, OtherVariableResult::numberOfVar, VariableValues::numberOfVar, OSResult::optimization, osresult, VariableSolution::other, SMAG_DBL_NA, OptimizationResult::solution, OtherVarResult::value, VarValue::value, DualVarValue::value, VariableSolution::values, OtherVariableResult::var, VariableValues::var, and OptimizationSolution::variables.

Referenced by writeSolution().

void OSrL2Gams::writeSolution | ( | std::string & | osrl | ) |

Writes a solution into a GMO with the result given as osrl string.

Parameters:

  | osrl | Optimization result as string.

Definition at line 150 of file OSosrl2gams.cpp.

References ErrorClass::errormsg, gev, gmo, osresult, OSrLReader::readOSrL(), and writeSolution().

## Member Data Documentation

struct gmoRec* OSrL2Gams::gmo`[private]`

Definition at line 22 of file OSosrl2gams.hpp.

Referenced by writeSolution().

struct gevRec* OSrL2Gams::gev`[private]`

Definition at line 23 of file OSosrl2gams.hpp.

Referenced by writeSolution().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSModelInterfaces/OSosrl2gams.hpp
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSModelInterfaces/OSosrl2gams.cpp